empire-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Benjamin Venditti <benni...@web.de>
Subject Uprading struts2 extensions to struts 2.1.6
Date Mon, 06 Jul 2009 10:25:36 GMT
Hello EmpireDB developer team,

i am currently trying to get the empire-db struts extensions running 
with struts 2.1.6.
Most of the problems could be solved quite easily, but unfortunately i 
have two issues that i can't solve without doubt.

1. Class: *ItemListTag:130*
    Previously the the method "getId()" was called from the class 
"org.apache.struts2.components.Component"
    but this method does no longer exist. By making the nested class 
"ItemIteratorComponent" non static, i could get rid
    of the "Cannot make static referenced ..." error, however i am not 
sure if this is a appropriate solution, as thereby the
    method "javax.servlet.jsp.tagext.TagSupport.getId()" will be called.

2. Classes: *LinkTag:97, AnchorComponent:101*
    The Attribute "targets" as well as the method "setTarges(...)" no 
longer exists in *org.apache.struts2.components.Anchor*.
    My current solution for this issue is to remove all references in 
all other classes and in the tag library.

I could compile the struts2 extensions and ran the sample application on 
tomcat 6.x with the stated changes (and others).
Could you please help me with the two issues. If you like i can send you 
all the changes i made.

Thanks in advance.

    Benjamin


Mime
View raw message